Subject: MN: Re: Year 3 Week 30 Proposals

From: riffraff@n... (RiffRaff)
Date: Mon, 29 Nov 1999 17:08:28 -0500

>> > { Because they're not bloody Indestructable. }
>>
>> Actually, no - granted that of the Indestructable Possessions all the
>> Clamps are both Indestructable and Undroppable, but neither the Drone
>Stick
>> nor the Podume of Infinite Darkness are Undroppable.
>
>Gnh. Yes. I knew there was a reason why we weren't using "Undroppable".
>"Un-Discardable" is the crux of the issue, really, but it's very hard
>finding a word that fits. (I'm sure I remember "Cursed" being touted,
>jokingly.) "Persistent", perhaps?

"Cursed" sounds good to me! :)

--Riff

"This calls for a subtle blend of psychology and extreme violence."
--Vyvyan, "The Young Ones"